<?php
/***************************************************************************
 *                               forum_author_view_db_update.php
 *                            -------------------
 *   Version              : 0.5.0
 *   email                : jcthebuilder1@yahoo.com
 *   forums               : http://www.bondgamer.com
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   copyright (C) 2007  BondGamer/JC the Builder
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   http://www.gnu.org/copyleft/gpl.html
 *
 ***************************************************************************/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);

$message ='';


$sql = 'ALTER TABLE `' . FORUMS_TABLE . '` ADD `forum_author_view` BOOL NOT NULL DEFAULT 0';
if (!$db->sql_query($sql))
	$message .= '<font color="red">Could not alter ' . FORUMS_TABLE .' table to add <b>forum_author_view</b> column!</font><br />';
else 
    $message .= '<font color="green"><b>forum_author_view</b> added to ' . FORUMS_TABLE .' successfully.</font><br />';

// Setup $auth_admin class so we can add new permission option
include($phpbb_root_path . 'includes/acp/auth.' . $phpEx);
$auth_admin = new auth_admin();

$auth_admin->acl_add_option(array(
    'local'        => array('f_author_view'),
    'global'    => array()
));
$message .= '<font color="green"><b>f_author_view</b> permission created successfully.</font><br />';
				
				
				
trigger_error( $message .'<br /><br /><font color="red">For security purposes, make sure you delete this database update file right away!</font>');
 
?>